# Google Cloud Logging API . projects . logs

## Instance Methods

Deletes a log and all its log entries. The log will reappear if it receives new entries.

### Method Details

`delete(logName, x__xgafv=None)`

    Deletes a log and all its log entries. The log will reappear if it receives new entries.

    Args:
      logName: string, Required. The resource name of the log to delete. Example: `"projects/my-project/logs/syslog"`. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for `Empty` is empty JSON object `{}`.
      }